/**
 * RoleClassPart2.java
 *
 * File generated from the medication2::RoleClassPart2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassPart2.
 *
 */

@XmlType(name = "RoleClassPart")
@XmlEnum
@XmlRootElement(name = "RoleClassPart2")
public enum RoleClassPart2 {
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM");
	
	private final String value;

    RoleClassPart2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassPart2 fromValue(String v) {
        for (RoleClassPart2 c: RoleClassPart2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
